# FAKE // OS 
FAKE//OS system utilities and scripts.

# Philosophy
1. **Standardised:** Functions should work consistently across multiple Operating System Distributions.
2. **Repeatable:** Functions should be able to re-run (for upgrade purposes) without destroying already modified system configurations.
3. **Modularity:** Functions should be simple and modular for easy additions and modifications.
3. **Error Handling:** Functions should have good error handling for use in automated scripts.

# Supported Operating Systems
FAKE//OS aims to be system agnostic, and provide a consistent set of functions (especially for scripting) across a variety of Linux distributions, which otherwise don't play well together. Currently supported distributions include:
- Arch Linux _[bash + systemd + pacman/paru]_
- Artix Linux _[bash + openrc + pacman/paru]_
- Alpine Linux _[ash + openrc + apk]_
- Debian Linux _[bash/dash + systemd + apt]_

# Basic Ussage
``` bash
FAKE//OS Package and System Manager
-----------------------------------
usage: fake <command> <arguments>

Package management commands:
  install    Install new software packages
  update     Update installed software packages
  remove     Remove/Uninstall software packages
  search     Search repository for software packages

Init/System management commands
  start      Start system daemons
  stop       Stop system daemons
  restart    Restart system daemons
  enable     Add system daemons to default startup PID
  disable    Remove system daemons from default startup PID
  flush      Clear syste caches

FAKE//OS commands:
  upgrade    Upgrade FAKE//OS to latest git version
  help       Display this help screen
```

# Install FAKE // OS
### Automatic Install 
Copy and paste the following into you're command-line terminal:

``` bash
curl https://fake.onl/fake-os.sh | sh
```

### Manual Install
For manual installation and access to the source-code run the following commands:

``` bash
git clone https://git.fake.onl/fake/fake-os.git
cd fake-os
./setup.sh
```

### Upgrade Install
Once installed FAKE//OS can be upgraded (install the latest version from git.fake.onl) by running the following command:

``` bash
fake upgrade
```
